Drag and drop import/export broken in DB manager

2016-12-04 12:51 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Browser

Affected QGIS version:2.14.9 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23852

Description

Something broke in between point releases of 2.14

On 2.14.3 I can import the attached shapefile (as example) with the d&d in Browser into a PostGIS or Spatialite database.

On 2.14.9 the d&d to PostGIS retuturns

Failed to import some layers!

localidades: Creation of data source "teste1"."localidades" failed: 

ERROR:  syntax error at or near "," 

LINE 1: CREATE TABLE "teste1"."localidades"(, PRIMARY KEY () )

On 2.14.3 I can d&d from Spatialite do PostGIS, while on 2.14.9 it fails with the same error as above.

History

#1 - 2016-12-04 02:36 PM - Giovanni Manghi

- Subject changed from Drang and drop import/export broken in DB manager to Drag and drop import/export broken in DB manager

#2 - 2017-02-27 03:14 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

works as expected on 2.18.4.

Files

portugal_continental_3763.zip 74 KB 2016-12-04 Giovanni Manghi
